#include "Triangle.h"

Triangle::Triangle() {
	v0 = new Vertex();
	v1 = new Vertex();
	v2 = new Vertex();

	// In the XY Plane (Z = 0 in all vertices) with a Y = UP coordinate system...
	// Not sure about left-handed vs. right handed, though...
	// I *think* it's right handed...

	/*
	Borrowed from Houdini...
	
	    y
	
	    |
	   / \
	 z     x\

	*/

	(*v0).setX(1.0);
	(*v0).setY(0.0);
	(*v0).setZ(0.0);

	(*v1).setX(0.0);
	(*v1).setY(1.0);
	(*v1).setZ(0.0);

	(*v2).setX(-1.0);
	(*v2).setY(0.0);
	(*v2).setZ(0.0);
}
